/*
 * SIMULACION DE RIBBON BAR PARA HMG
 *
 * Copyright 2013 Dr. Eduardo Luis Azar <elalegal@fibertel.com.ar>
*/

#include "hmg.ch"

Function Main
 
   SET DATE BRITISH
   SET DELETE OFF
   SET CENTURY ON
   SET TOOLTIPSTYLE BALLOON 
   SET TOOLTIPBACKCOLOR { 250, 250, 210}

   PUBLIC permiso := 0
   PUBLIC I_SOLICIT
   PUBLIC recaborrar
   PUBLIC procform := "1"
   PUBLIC marca := "A"  
   
	DEFINE WINDOW Form_1 ;
      AT 0,0 ;
		WIDTH 1024 HEIGHT 768 ;
		TITLE 'HMG-MiniGUI RibbonBar Simulator' ;
                MAIN NOMAXIMIZE ;
                ICON 'Window' ;
                BACKCOLOR { 218,229,243 } ;
                NOSYSMENU ;
                NOSIZE

		DEFINE STATUSBAR 
			STATUSITEM 'Dr. Eduardo Luis Azar () - Copyright 2013' WIDTH 250
         CLOCK WIDTH 80
         DATE WIDTH 100
         STATUSITEM ' ' WIDTH 50 ICON 'WINDOW.ICO'
		END STATUSBAR


// DEFINITION OF RIBBONBAR SCREENS
      
      DEFINE IMAGE Image_21
         ROW	0
         COL	0
         WIDTH	1024
         HEIGHT 133
         PICTURE	'ribbon1'
         STRETCH	.T.
         END IMAGE         

      FORM_1.IMAGE_21.HIDE

      DEFINE IMAGE Image_21OFF
         ROW	0
         COL	0
         WIDTH	1024
         HEIGHT 133
         PICTURE	'ribbon1off'
         STRETCH	.T.
         END IMAGE         
      
      FORM_1.IMAGE_21OFF.HIDE
      
      DEFINE IMAGE Image_22
         ROW	0
         COL	0
         WIDTH	1024
         HEIGHT 133
         PICTURE	'ribbon2'
         STRETCH	.T.
      END IMAGE         
      
      FORM_1.IMAGE_22.HIDE
      
      DEFINE IMAGE Image_22OFF
         ROW	0
         COL	0
         WIDTH	1024
         HEIGHT 133
         PICTURE	'ribbon2off'
         STRETCH	.T.
      END IMAGE         
      
      FORM_1.IMAGE_22OFF.HIDE

      DEFINE IMAGE Image_23
         ROW	0
         COL	0
         WIDTH	1024
         HEIGHT 133
         PICTURE	'ribbon3'
         STRETCH	.T.
      END IMAGE         
      
      FORM_1.IMAGE_23.HIDE

      DEFINE IMAGE Image_23OFF
         ROW	0
         COL	0
         WIDTH	1024
         HEIGHT 133
         PICTURE	'ribbon3off'
         STRETCH	.T.
      END IMAGE         
      
      FORM_1.IMAGE_23OFF.HIDE

// END RIBBONBAR DEFINITIONS

      FORM_1.IMAGE_21.SHOW

// DEFINITION OF SUB-RIBBONBAR TAB SELECTION      

       @ 41,60 LABEL Label_Menu1 ;
          WIDTH 58 HEIGHT 16 ;
          VALUE '' ;
          ACTION ( REVOLVER1()  ) ;
          TRANSPARENT 

       @ 41,136 LABEL Label_Menu2 ;
          WIDTH 100 HEIGHT 16 ;
          VALUE '' ;
          ACTION ( REVOLVER2() )  ;
          TRANSPARENT
         
       @ 41,254 LABEL Label_Menu3 ;
          WIDTH 101 HEIGHT 16 ;
          VALUE '' ;
          ACTION ( REVOLVER3() )  ;
         TRANSPARENT
         
      @ 09,80 LABEL Label_TITACC ;
         WIDTH 200 HEIGHT 15 ;
         VALUE ' Executing' ;
         FONT 'Calibri' SIZE 9 ;
         FONTCOLOR { 0,0,128 } ;
         TRANSPARENT 

      @ 20,15 LABEL Label_ACERCA ;
         WIDTH 30 HEIGHT 30 ;
         VALUE '' ;
         ACTION (acercade()) ;
         TOOLTIP 'About.....' ;
         TRANSPARENT 
         
// END RIBBONBAR TAB SELECTION

// DEFINITION OF MESSAGES ("EXECUTING") THAT APPEARS INDICATING ACTION IN PROGRESS

      @ 09,183 LABEL Label_EJI1 ;
         WIDTH 550 HEIGHT 15 ;
         VALUE ' Description of action in progress' ;
         FONT 'Calibri' SIZE 11 ;
         FONTCOLOR { 238,0,0 } ;
         TRANSPARENT 

      FORM_1.LABEL_EJI1.HIDE   

      @ 09,183 LABEL Label_EJI2 ;
         WIDTH 550 HEIGHT 15 ;
         VALUE ' Description of action in progress' ;
         FONT 'Calibri' SIZE 11 ;
         FONTCOLOR { 238,0,0 } ;
         TRANSPARENT 

      FORM_1.LABEL_EJI2.HIDE

      @ 09,180 LABEL Label_EJI3 ;
         WIDTH 550 HEIGHT 15 ;
         VALUE ' Description of action in progress' ;
         FONT 'Calibri' SIZE 11 ;
         FONTCOLOR { 238,0,0 } ;
         TRANSPARENT 

      FORM_1.LABEL_EJI3.HIDE
      
      @ 09,183 LABEL Label_EJI4 ;
         WIDTH 550 HEIGHT 15 ;
         VALUE ' Description of action in progress' ;
         FONT 'Calibri' SIZE 11 ;
         FONTCOLOR { 238,0,0 } ;
         TRANSPARENT 

      FORM_1.LABEL_EJI4.HIDE
      
      @ 09,183 LABEL Label_EJI5 ;
         WIDTH 550 HEIGHT 15 ;
         VALUE ' Description of action in progress' ;
         FONT 'Calibri' SIZE 11 ;
         FONTCOLOR { 238,0,0 } ;
         TRANSPARENT 

      FORM_1.LABEL_EJI5.HIDE

      @ 09,183 LABEL Label_EJI6 ;
         WIDTH 550 HEIGHT 15 ;
         VALUE ' Description of action in progress' ;
         FONT 'Calibri' SIZE 11 ;
         FONTCOLOR { 238,0,0 } ;
         TRANSPARENT 

      FORM_1.LABEL_EJI6.HIDE
      
      @ 09,183 LABEL Label_EJM1 ;
         WIDTH 550 HEIGHT 15 ;
         VALUE ' Description of action in progress' ;
         FONT 'Calibri' SIZE 11 ;
         FONTCOLOR { 238,0,0 } ;
         TRANSPARENT 

      FORM_1.LABEL_EJM1.HIDE   

      @ 09,183 LABEL Label_EJM2 ;
         WIDTH 550 HEIGHT 15 ;
         VALUE ' Description of action in progress' ;
         FONT 'Calibri' SIZE 11 ;
         FONTCOLOR { 238,0,0 } ;
         TRANSPARENT 

      FORM_1.LABEL_EJM2.HIDE

      @ 09,180 LABEL Label_EJM3 ;
         WIDTH 550 HEIGHT 15 ;
         VALUE ' Description of action in progress' ;
         FONT 'Calibri' SIZE 11 ;
         FONTCOLOR { 238,0,0 } ;
         TRANSPARENT 

      FORM_1.LABEL_EJM3.HIDE
      
      @ 09,183 LABEL Label_EJM4 ;
         WIDTH 550 HEIGHT 15 ;
         VALUE ' Description of action in progress' ;
         FONT 'Calibri' SIZE 11 ;
         FONTCOLOR { 238,0,0 } ;
         TRANSPARENT 

      FORM_1.LABEL_EJM4.HIDE
      
      @ 09,183 LABEL Label_EJM5 ;
         WIDTH 550 HEIGHT 15 ;
         VALUE ' Description of action in progress' ;
         FONT 'Calibri' SIZE 11 ;
         FONTCOLOR { 238,0,0 } ;
         TRANSPARENT 

      FORM_1.LABEL_EJM5.HIDE

      @ 09,183 LABEL Label_EJM6 ;
         WIDTH 550 HEIGHT 15 ;
         VALUE ' Description of action in progress' ;
         FONT 'Calibri' SIZE 11 ;
         FONTCOLOR { 238,0,0 } ;
         TRANSPARENT 

      FORM_1.LABEL_EJM6.HIDE

      @ 09,183 LABEL Label_EJM7 ;
         WIDTH 550 HEIGHT 15 ;
         VALUE ' Description of action in progress' ;
         FONT 'Calibri' SIZE 11 ;
         FONTCOLOR { 238,0,0 } ;
         TRANSPARENT 

      FORM_1.LABEL_EJM7.HIDE

      
// END MESSAGES ("EXCECUTING") TABS

         
// DEFINITION ACTIONS OF SIMULATED BUTTONS AND POPUP BUTTON OF RIBBONBAR 1         

       @ 70,10 LABEL Label_I1 ;
          WIDTH 47 HEIGHT 37 ;
          VALUE '' ;
          ACTION MSGINFO("Execute action you define for this button N 1.","NOTE:") ;
          TOOLTIP 'Action of this button when is selected' ;
          TRANSPARENT 

       @ 70,61 LABEL Label_I1G ;
          WIDTH 6 HEIGHT 36 ;
          VALUE '' ;
          ACTION ( MSGINFO("Execute action you define for this popup button N 1.","NOTE:")  ) ;
          TOOLTIP 'Action of this popup button when is selected' ;
          TRANSPARENT 

       @ 70,83 LABEL Label_I2 ;
          WIDTH 47 HEIGHT 37 ;
          VALUE '' ;
          ACTION ( MSGINFO("Execute action you define for this button N 2.","NOTE:")  ) ;
          TOOLTIP 'Action of this button when is selected' ;
          TRANSPARENT 

       @ 70,134 LABEL Label_I2G ;
          WIDTH 6 HEIGHT 36 ;
          VALUE '' ;
          ACTION ( MSGINFO("Execute action you define for this popup button N 2.","NOTE:")  ) ;
          TOOLTIP 'Action of this popup button when is selected' ;
          TRANSPARENT 

       @ 70,156 LABEL Label_I3 ;
          WIDTH 47 HEIGHT 37 ;
          VALUE '' ;
          ACTION ( MSGINFO("Execute action you define for this button N 3.","NOTE:")  ) ;
          TOOLTIP 'Action of this button when is selected' ;
          TRANSPARENT 

       @ 70,207 LABEL Label_I3G ;
          WIDTH 6 HEIGHT 36 ;
          VALUE '' ;
          ACTION ( MSGINFO("Execute action you define for this popup button N 3.","NOTE:") ) ;
          TOOLTIP 'Action of this popup button when is selected' ;
          TRANSPARENT 

       @ 70,229 LABEL Label_I4 ;
          WIDTH 47 HEIGHT 37 ;
          VALUE '' ;
          ACTION ( MSGINFO("Execute action you define for this button N 4.","NOTE:")  ) ;
          TOOLTIP 'Action of this button when is selected' ;
          TRANSPARENT 

       @ 70,280 LABEL Label_I4G ;
          WIDTH 6 HEIGHT 36 ;
          VALUE '' ;
          ACTION ( MSGINFO("Execute action you define for this popup button N 4.","NOTE:") ) ;
          TOOLTIP 'Action of this popup button when is selected' ;
          TRANSPARENT 

       @ 70,302 LABEL Label_I5 ;
          WIDTH 47 HEIGHT 37 ;
          VALUE '' ;
          ACTION ( MSGINFO("Execute action you define for this button  N 5.","NOTE:")  ) ;
          TOOLTIP 'Action of this button when is selected' ;
          TRANSPARENT 

       @ 70,353 LABEL Label_I5G ;
          WIDTH 6 HEIGHT 36 ;
          VALUE '' ;
          ACTION ( MSGINFO("Execute action you define for this popup button N 5.","NOTE:") ) ;
          TOOLTIP 'Action of this popup button when is selected' ;
          TRANSPARENT 

       @ 70,375 LABEL Label_I6 ;
          WIDTH 47 HEIGHT 37 ;
          VALUE '' ;
          ACTION ( MSGINFO("Execute action you define for this button N 6.","NOTE:")  ) ;
          TOOLTIP 'Action of this button when is selected' ;
          TRANSPARENT 

       @ 70,426 LABEL Label_I6G ;
          WIDTH 6 HEIGHT 36 ;
          VALUE '' ;
          ACTION ( MSGINFO("Execute action you define for this popup button N 6.","NOTE:") ) ;
          TOOLTIP 'Action of this popup button when is selected' ;
          TRANSPARENT 


       @ 70,448 LABEL Label_UI ;
          WIDTH 54 HEIGHT 37 ;
          VALUE '' ;
          ACTION MSGINFO("Execute action you define for this popup button.","NOTE:") ;
          TOOLTIP 'Action of this button when is selected' ;
          TRANSPARENT 

      @ 05,994 LABEL Label_Exit1 ;
          WIDTH 22 HEIGHT 22 ;
          VALUE '' ;
          ACTION (gransalida()) ;
          TOOLTIP 'Exit your application' ;
          TRANSPARENT 

// END  DEFINITION ACTIONS OF SIMULATED BUTTONS AND POPUP BUTTON OF RIBBONBAR 1         


//  DEFINITION ACTIONS OF SIMULATED BUTTONS AND POPUP BUTTON OF RIBBONBAR 21         

      @ 70,10 LABEL Label_M1 ;
         WIDTH 52 HEIGHT 37 ;
         VALUE '' ;
         ACTION MSGINFO("Execute action you define for this button N 1 of Ribbon N 2.","NOTE:") ;
         TOOLTIP 'Action of this button when is selected' ;
         TRANSPARENT 

      @ 70,67 LABEL Label_M1G ;
         WIDTH 6 HEIGHT 36 ;
         VALUE '' ;
         ACTION ( MSGINFO("Execute action you define for this popup button N 1 of Ribbon N 2.","NOTE:") ) ;
         TOOLTIP 'Action of this popup button when is selected' ;
         TRANSPARENT 

      @ 70,81 LABEL Label_M2 ;
         WIDTH 52 HEIGHT 37 ;
         VALUE '' ;
         ACTION MSGINFO("Execute action you define for this button N 2 of Ribbon N 2.","NOTE:") ;
         TOOLTIP 'Action of this button when is selected' ;
         TRANSPARENT 

      @ 70,138 LABEL Label_M2G ;
         WIDTH 6 HEIGHT 36 ;
         VALUE '' ;
         ACTION ( MSGINFO("Execute action you define for this popup button N 2 of Ribbon N 2.","NOTE:") ) ;
         TOOLTIP 'Action of this popup button when is selected' ;
         TRANSPARENT 


      @ 70,160 LABEL Label_M3 ;
         WIDTH 52 HEIGHT 37 ;
         VALUE '' ;
         ACTION MSGINFO("Execute action you define for this button N 3 of Ribbon N 2.","NOTE:") ;
         TOOLTIP 'Action of this button when is selected' ;
         TRANSPARENT 

      @ 70,217 LABEL Label_M3G ;
         WIDTH 6 HEIGHT 36 ;
         VALUE '' ;
         ACTION ( MSGINFO("Execute action you define for this popup button N 3 of Ribbon N 2.","NOTE:") ) ;
         TOOLTIP 'Action of this popup button when is selected' ;
         TRANSPARENT 

      @ 70,232 LABEL Label_M4 ;
         WIDTH 52 HEIGHT 37 ;
         VALUE '' ;
         ACTION MSGINFO("Execute action you define for this button N 4 of Ribbon N 2.","NOTE:") ;
         TOOLTIP 'Action of this button when is selected' ;
         TRANSPARENT 

      @ 70,289 LABEL Label_M4G ;
         WIDTH 6 HEIGHT 36 ;
         VALUE '' ;
         ACTION ( MSGINFO("Execute action you define for this popup button N 4 of Ribbon N 2.","NOTE:") ) ;
         TOOLTIP 'Action of this popup button when is selected' ;
         TRANSPARENT 

      @ 70,305 LABEL Label_M5 ;
         WIDTH 52 HEIGHT 37 ;
         VALUE '' ;
         ACTION MSGINFO("Execute action you define for this button N 5 of Ribbon N 2.","NOTE:") ;
         TOOLTIP 'Action of this button when is selected' ;
         TRANSPARENT 

      @ 70,361 LABEL Label_M5G ;
         WIDTH 6 HEIGHT 36 ;
         VALUE '' ;
         ACTION ( MSGINFO("Execute action you define for this popup button N 5 of Ribbon N 2.","NOTE:") ) ;
         TOOLTIP 'Action of this popup button when is selected' ;
         TRANSPARENT 

      @ 70,377 LABEL Label_M6 ;
         WIDTH 52 HEIGHT 37 ;
         VALUE '' ;
         ACTION MSGINFO("Execute action you define for this button N 6 of Ribbon N 2.","NOTE:") ; 
         TOOLTIP 'Action of this button when is selected' ;
         TRANSPARENT 

      @ 70,433 LABEL Label_M6G ;
         WIDTH 6 HEIGHT 36 ;
         VALUE '' ;
         ACTION ( MSGINFO("Execute action you define for this popup button N 6 of Ribbon N 2.","NOTE:") ) ;
         TOOLTIP 'Action of this popup button when is selected' ;
         TRANSPARENT 

      @ 70,448 LABEL Label_M7 ;
         WIDTH 52 HEIGHT 37 ;
         VALUE '' ;
         ACTION MSGINFO("Execute action you define for this button N 7 of Ribbon N 2.","NOTE:") ;
         TOOLTIP 'Action of this button when is selected' ;
         TRANSPARENT 

      @ 70,505 LABEL Label_M7G ;
         WIDTH 6 HEIGHT 36 ;
         VALUE '' ;
         ACTION ( MSGINFO("Execute action you define for this popup button N 7 of Ribbon N 2.","NOTE:") ) ;
         TOOLTIP 'Action of this popup button when is selected' ;
         TRANSPARENT 

      @ 70,529 LABEL Label_UM ;
         WIDTH 54 HEIGHT 37 ;
         VALUE '' ;
         ACTION MSGINFO("Execute action you define for this button N 8 of Ribbon N 2.","NOTE:") ;
         TOOLTIP 'Action of this button when is selected' ;
         TRANSPARENT 
          
       @ 05,994 LABEL Label_Exit2 ;
          WIDTH 22 HEIGHT 22 ;
          VALUE '' ;
          ACTION ( gransalida() ) ;
          TOOLTIP 'Exit your application' ;
          TRANSPARENT 

      FORM_1.LABEL_M1.HIDE
      FORM_1.LABEL_M1G.HIDE
      FORM_1.LABEL_M2.HIDE
      FORM_1.LABEL_M2G.HIDE
      FORM_1.LABEL_M3.HIDE
      FORM_1.LABEL_M3G.HIDE
      FORM_1.LABEL_M4.HIDE
      FORM_1.LABEL_M4G.HIDE
      FORM_1.LABEL_M5.HIDE
      FORM_1.LABEL_M6G.HIDE
      FORM_1.LABEL_M6.HIDE
      FORM_1.LABEL_M6G.HIDE
      FORM_1.LABEL_M7.HIDE
      FORM_1.LABEL_M7G.HIDE
      FORM_1.LABEL_UM.HIDE
      FORM_1.LABEL_EXIT2.HIDE

// END DEFINITION ACTIONS OF SIMULATED BUTTONS AND POPUP BUTTON OF RIBBONBAR 2         

//  DEFINITION ACTIONS OF SIMULATED BUTTONS AND POPUP BUTTON OF RIBBONBAR 3         

       @ 70,10 LABEL Label_V1 ;
          WIDTH 60 HEIGHT 37 ;
          VALUE '' ;
          ACTION MSGINFO("Execute action you define for this Button.","NOTE:") ;
          TOOLTIP 'Action of this button when is selected' ;
          TRANSPARENT 

       @ 70,90 LABEL Label_V2 ;
          WIDTH 60 HEIGHT 37 ;
          VALUE '' ;
          ACTION MSGINFO("Execute action you define for this Button.","NOTE:") ;
          TOOLTIP 'Action of this button when is selected' ;
          TRANSPARENT 

      @ 05,994 LABEL Label_Exit3 ;
          WIDTH 22 HEIGHT 22 ;
          VALUE '' ;
          ACTION (gransalida()) ;
          TOOLTIP 'Exit your application' ;
          TRANSPARENT 

      FORM_1.LABEL_V1.HIDE
      FORM_1.LABEL_V2.HIDE
      FORM_1.LABEL_Exit3.HIDE
          
//  DEFINITION ACTIONS OF SIMULATED BUTTONS AND POPUP BUTTON OF RIBBONBAR 3         

      END WINDOW
        
	CENTER WINDOW Form_1        
	ACTIVATE WINDOW Form_1

Return

FUNCTION REVOLVER1()      
FORM_1.LABEL_M1.HIDE
FORM_1.LABEL_M1G.HIDE
FORM_1.LABEL_M2.HIDE
FORM_1.LABEL_M2G.HIDE
FORM_1.LABEL_M3.HIDE
FORM_1.LABEL_M3G.HIDE
FORM_1.LABEL_M4.HIDE
FORM_1.LABEL_M4G.HIDE
FORM_1.LABEL_M5.HIDE
FORM_1.LABEL_M5G.HIDE
FORM_1.LABEL_M6.HIDE
FORM_1.LABEL_M6G.HIDE
FORM_1.LABEL_M7.HIDE
FORM_1.LABEL_M7G.HIDE
FORM_1.LABEL_UM.HIDE
FORM_1.LABEL_EXIT2.HIDE

FORM_1.LABEL_V1.HIDE
FORM_1.LABEL_V2.HIDE
FORM_1.LABEL_EXIT3.HIDE

FORM_1.LABEL_I1.SHOW
FORM_1.LABEL_I1G.SHOW
FORM_1.LABEL_I2.SHOW
FORM_1.LABEL_I2G.SHOW
FORM_1.LABEL_I3.SHOW
FORM_1.LABEL_I3G.SHOW
FORM_1.LABEL_I4.SHOW
FORM_1.LABEL_I4G.SHOW
FORM_1.LABEL_I5.SHOW
FORM_1.LABEL_I5G.SHOW
FORM_1.LABEL_I6.SHOW
FORM_1.LABEL_I6G.SHOW
FORM_1.LABEL_UI.SHOW
FORM_1.LABEL_EXIT1.SHOW


FORM_1.IMAGE_22.HIDE
FORM_1.IMAGE_23.HIDE
FORM_1.IMAGE_21.SHOW
RETURN

      
FUNCTION REVOLVER2()
FORM_1.LABEL_I1.HIDE
FORM_1.LABEL_I1G.HIDE
FORM_1.LABEL_I2.HIDE
FORM_1.LABEL_I2G.HIDE
FORM_1.LABEL_I3.HIDE
FORM_1.LABEL_I3G.HIDE
FORM_1.LABEL_I4.HIDE
FORM_1.LABEL_I4G.HIDE
FORM_1.LABEL_I5.HIDE
FORM_1.LABEL_I5G.HIDE
FORM_1.LABEL_I6.HIDE
FORM_1.LABEL_I6G.HIDE
FORM_1.LABEL_UI.HIDE
FORM_1.LABEL_EXIT1.HIDE

FORM_1.LABEL_V1.HIDE
FORM_1.LABEL_V2.HIDE
FORM_1.LABEL_EXIT3.HIDE

FORM_1.LABEL_M1.SHOW
FORM_1.LABEL_M1G.SHOW
FORM_1.LABEL_M2.SHOW
FORM_1.LABEL_M2G.SHOW
FORM_1.LABEL_M3.SHOW
FORM_1.LABEL_M3G.SHOW
FORM_1.LABEL_M4.SHOW
FORM_1.LABEL_M4G.SHOW
FORM_1.LABEL_M5.SHOW
FORM_1.LABEL_M5G.SHOW
FORM_1.LABEL_M6.SHOW
FORM_1.LABEL_M6G.SHOW
FORM_1.LABEL_M7.SHOW
FORM_1.LABEL_M7G.SHOW
FORM_1.LABEL_UM.SHOW
FORM_1.LABEL_EXIT2.SHOW

FORM_1.IMAGE_21.HIDE
FORM_1.IMAGE_23.HIDE
FORM_1.IMAGE_22.SHOW
RETURN

FUNCTION REVOLVER3()      
FORM_1.LABEL_I1.HIDE
FORM_1.LABEL_I1G.HIDE
FORM_1.LABEL_I2.HIDE
FORM_1.LABEL_I2G.HIDE
FORM_1.LABEL_I3.HIDE
FORM_1.LABEL_I3G.HIDE
FORM_1.LABEL_I4.HIDE
FORM_1.LABEL_I4G.HIDE
FORM_1.LABEL_I5.HIDE
FORM_1.LABEL_I5G.HIDE
FORM_1.LABEL_I6.HIDE
FORM_1.LABEL_I6G.HIDE
FORM_1.LABEL_UI.HIDE
FORM_1.LABEL_EXIT1.HIDE

FORM_1.LABEL_M1.HIDE
FORM_1.LABEL_M1G.HIDE
FORM_1.LABEL_M2.HIDE
FORM_1.LABEL_M2G.HIDE
FORM_1.LABEL_M3.HIDE
FORM_1.LABEL_M3G.HIDE
FORM_1.LABEL_M4.HIDE
FORM_1.LABEL_M4G.HIDE
FORM_1.LABEL_M5.HIDE
FORM_1.LABEL_M5G.HIDE
FORM_1.LABEL_M6.HIDE
FORM_1.LABEL_M6G.HIDE
FORM_1.LABEL_M7.HIDE
FORM_1.LABEL_M7G.HIDE
FORM_1.LABEL_UM.HIDE
FORM_1.LABEL_EXIT2.HIDE

FORM_1.LABEL_V1.SHOW
FORM_1.LABEL_V2.SHOW
FORM_1.LABEL_EXIT3.SHOW

FORM_1.IMAGE_21.HIDE
FORM_1.IMAGE_22.HIDE
FORM_1.IMAGE_23.SHOW
RETURN


PROCEDURE MENUBOT1OFF
FORM_1.LABEL_I1.HIDE
FORM_1.LABEL_I1G.HIDE
FORM_1.LABEL_I2.HIDE
FORM_1.LABEL_I2G.HIDE
FORM_1.LABEL_I3.HIDE
FORM_1.LABEL_I3G.HIDE
FORM_1.LABEL_I4.HIDE
FORM_1.LABEL_I4G.HIDE
FORM_1.LABEL_I5.HIDE
FORM_1.LABEL_I5G.HIDE
FORM_1.LABEL_I6.HIDE
FORM_1.LABEL_I6G.HIDE
FORM_1.LABEL_UI.HIDE
FORM_1.LABEL_MENU1.HIDE
FORM_1.LABEL_MENU2.HIDE
FORM_1.LABEL_MENU3.HIDE
FORM_1.Label_Exit1.HIDE
FORM_1.IMAGE_21.HIDE
FORM_1.IMAGE_21OFF.SHOW
RETURN

PROCEDURE MENUBOT1ON
FORM_1.LABEL_I1.SHOW
FORM_1.LABEL_I1G.SHOW
FORM_1.LABEL_I2.SHOW
FORM_1.LABEL_I2G.SHOW
FORM_1.LABEL_I3.SHOW
FORM_1.LABEL_I3G.SHOW
FORM_1.LABEL_I4.SHOW
FORM_1.LABEL_I4G.SHOW
FORM_1.LABEL_I5.SHOW
FORM_1.LABEL_I5G.SHOW
FORM_1.LABEL_I6.SHOW
FORM_1.LABEL_I6G.SHOW
FORM_1.LABEL_UI.SHOW
FORM_1.LABEL_MENU1.SHOW
FORM_1.LABEL_MENU2.SHOW
FORM_1.LABEL_MENU3.SHOW
FORM_1.Label_Exit1.SHOW
FORM_1.IMAGE_21OFF.HIDE
FORM_1.IMAGE_21.SHOW
RETURN

PROCEDURE MENUBOT2OFF
FORM_1.LABEL_M1.HIDE
FORM_1.LABEL_M1G.HIDE
FORM_1.LABEL_M2.HIDE
FORM_1.LABEL_M2G.HIDE
FORM_1.LABEL_M3.HIDE
FORM_1.LABEL_M3G.HIDE
FORM_1.LABEL_M4.HIDE
FORM_1.LABEL_M4G.HIDE
FORM_1.LABEL_M5.HIDE
FORM_1.LABEL_M5G.HIDE
FORM_1.LABEL_M6.HIDE
FORM_1.LABEL_M6G.HIDE
FORM_1.LABEL_M7.HIDE
FORM_1.LABEL_M7G.HIDE
FORM_1.LABEL_UM.HIDE
FORM_1.LABEL_MENU1.HIDE
FORM_1.LABEL_MENU2.HIDE
FORM_1.LABEL_MENU3.HIDE
FORM_1.Label_Exit1.HIDE
RETURN

PROCEDURE MENUBOT2ON
FORM_1.LABEL_M1.SHOW
FORM_1.LABEL_M1G.SHOW
FORM_1.LABEL_M2.SHOW
FORM_1.LABEL_M2G.SHOW
FORM_1.LABEL_M3.SHOW
FORM_1.LABEL_M3G.SHOW
FORM_1.LABEL_M4.SHOW
FORM_1.LABEL_M4G.SHOW
FORM_1.LABEL_M5.SHOW
FORM_1.LABEL_M5G.SHOW
FORM_1.LABEL_M6.SHOW
FORM_1.LABEL_M6G.SHOW
FORM_1.LABEL_M7.SHOW
FORM_1.LABEL_M7G.SHOW
FORM_1.LABEL_UM.SHOW
FORM_1.LABEL_MENU1.SHOW
FORM_1.LABEL_MENU2.SHOW
FORM_1.LABEL_MENU3.SHOW
FORM_1.Label_Exit1.SHOW
RETURN

PROCEDURE MENUBOT3OFF
FORM_1.LABEL_V1.HIDE
FORM_1.LABEL_V2.HIDE
FORM_1.LABEL_MENU1.HIDE
FORM_1.LABEL_MENU2.HIDE
FORM_1.LABEL_MENU3.HIDE
FORM_1.Label_Exit1.HIDE
RETURN

PROCEDURE MENUBOT3ON
FORM_1.LABEL_V1.SHOW
FORM_1.LABEL_V2.SHOW
FORM_1.LABEL_MENU1.SHOW
FORM_1.LABEL_MENU2.SHOW
FORM_1.LABEL_MENU3.SHOW
FORM_1.Label_Exit1.SHOW
RETURN


PROCEDURE ACERCADE
        LOCAL cMessage := ""
        cMessage := CRLF
        cMessage += "                        Ribbonbar Demo                     " + CRLF
        cMessage += "                     Simple Sample HMG          " + CRLF
        cMessage += "                    Dr. Eduardo Luis Azar          " + CRLF
        cMessage += "                      Argentina - 2013          " + CRLF
        cMessage += "                  elalegal@yahoo.com.ar          " + CRLF
        cMessage += CRLF
        MsgInfo( cMessage, "About Ribbonbar Demo ()" )
RETURN

****************************************************************
PROCEDURE gransalida()
****************************************************************
If MsgYesNo( "Usuer: you have chosen quiting system."+Chr(13)+Chr(10)+"            Please confirm your decision." + chr(13)+chr(10), "Quiting Ribbon Bar demo" )
   Form_1.Release
Endif
RETURN




PROCEDURE LABELION
FORM_1.LABEL_I1.SHOW
FORM_1.LABEL_I1G.SHOW
FORM_1.LABEL_I2.SHOW
FORM_1.LABEL_I2G.SHOW
FORM_1.LABEL_I3.SHOW
FORM_1.LABEL_I3G.SHOW
FORM_1.LABEL_I4.SHOW
FORM_1.LABEL_I4G.SHOW
FORM_1.LABEL_I5.SHOW
FORM_1.LABEL_I5G.SHOW
FORM_1.LABEL_I6.SHOW
FORM_1.LABEL_I7G.SHOW
FORM_1.Label_UI.SHOW
FORM_1.Label_Exit1.SHOW
RETURN

PROCEDURE LABELIOFF
FORM_1.LABEL_I1.HIDE
FORM_1.LABEL_I1G.HIDE
FORM_1.LABEL_I2.HIDE
FORM_1.LABEL_I2G.HIDE
FORM_1.LABEL_I3.HIDE
FORM_1.LABEL_I3G.HIDE
FORM_1.LABEL_I4.HIDE
FORM_1.LABEL_I4G.HIDE
FORM_1.LABEL_I5.HIDE
FORM_1.LABEL_I5G.HIDE
FORM_1.LABEL_I6.HIDE
FORM_1.LABEL_I7G.HIDE
FORM_1.Label_UI.HIDE
FORM_1.Label_Exit1.HIDE
RETURN
